org.eclipse.emf.cdo.common

## Interface CDOCommonRepository.TypeChangedEvent

- All Superinterfaces:
    IEvent
  All Known Implementing Classes:
    RepositoryTypeChangedEvent
  Enclosing interface:
    CDOCommonRepository

      public static interface CDOCommonRepository.TypeChangedEvent
      extends IEvent

  An `event` fired when the `type` of a CDO repository has changed. This usually happens only for repository fail-over participants.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOCommonRepository.Type` | `getNewType()`
    `CDOCommonRepository.Type` | `getOldType()`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.IEvent

      `getSource`

- - ### Method Detail

    - #### getOldType

          CDOCommonRepository.Type getOldType()

    - #### getNewType

          CDOCommonRepository.Type getNewType()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html